Skip to main content

Delete the binary file of an audio

DELETE 

/spaces/{owner}/{space}/audios/{audio}/file

Delete the binary file of an audio.

Path Parameters​


    owner string<handle>required

    The handle of the owner.

    Possible values: non-empty and <= 50 characters


    space string<handle>required

    The handle of the space.

    Possible values: non-empty and <= 50 characters


    audio string<handle>required

    The handle of the audio.

    Possible values: non-empty and <= 50 characters

Responses​

The updated audio

Response Body

application/json

    idstringrequired

    The UUID of the audio. Is unique.

    Format: string<uuid>
    Example: 00000000-0000-0000-0000-000000000000

    handlestringrequired

    The handle of the audio. Is unique.

    Format: string<handle>
    Example: audio-a

    aliasstring | nullrequired

    The alias of the audio.

    Format: string,null<alias>
    Example: Audio A

    statestringrequired

    The state of the audio.

    Format: AudioState (string)

    Possible values: [avaitingFile, available, notAvailable]

    Example: available

    durationstringrequired

    The duration of the audio.

    Format: string<duration>
    Example: PT3.500S

    sampleRateintegerrequired

    The sampling sample rate of the audio.

    Format: integer<int32>
    Example: 8000

    identityobject | nullrequired

    The identity linked to the audio.


    handlestringrequired

    The handle of the identity. Is unique.

    Format: string<handle>
    Example: identity-a

    aliasstring | nullrequired

    The alias of the identity.

    Format: string,null<alias>
    Example: Identity A

    voiceprintsintegerrequired

    The number of voiceprints of the audio.

    Format: integer<int32>
    Example: 10

    verificationsintegerrequired

    The number of verifications of the audio.

    Format: integer<int32>
    Example: 10

    createdAtstringrequired

    The date and time when the audio was created.

    Format: string<date-time>
    Example: 2023-01-01T00:00:00.000000Z

    uploadedAtstringrequired

    The date and time when the binary file was uploaded.

    Format: string<date-time>
    Example: 2023-01-01T00:00:00.000000Z

Example from Schema​

{
"id": "00000000-0000-0000-0000-000000000000",
"handle": "audio-a",
"alias": "Audio A",
"state": "available",
"duration": "PT3.500S",
"sampleRate": 8000,
"identity": {
"handle": "identity-a",
"alias": "Identity A"
},
"voiceprints": 10,
"verifications": 10,
"createdAt": "2023-01-01T00:00:00.000000Z",
"uploadedAt": "2023-01-01T00:00:00.000000Z"
}